OGRE-Next: Ogre::v1::VulkanHardwareBufferCommon Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::v1::VulkanHardwareBufferCommon Class Reference

`#include <OgreVulkanHardwareBufferCommon.h>`

## Public Member Functions
| VulkanHardwareBufferCommon (size_t sizeBytes, HardwareBuffer::Usage usage, uint16 alignment, VulkanDiscardBufferManager *discardBufferManager, VulkanDevice *device)
virtual | ~VulkanHardwareBufferCommon ()
void | _notifyDeviceStalled ()
void | copyData (VulkanHardwareBufferCommon *srcBuffer, size_t srcOffset, size_t dstOffset, size_t length, bool discardWholeBuffer=false)
VkBuffer | getBufferName (size_t &outOffset)
| Returns the actual API buffer, but first sets mLastFrameUsed as we assume you're calling this function to use the buffer in the GPU.
VkBuffer | getBufferNameForGpuWrite (size_t &outOffset)
size_t | getSizeBytes () const
void * | lockImpl (size_t offset, size_t length, HardwareBuffer::LockOptions options, bool isLocked)
void | readData (size_t offset, size_t length, void *pDest)
void | unlockImpl (size_t lockStart, size_t lockSize)
void | writeData (size_t offset, size_t length, const void *pSource, bool discardWholeBuffer=false)

## Constructor & Destructor Documentation

## ◆ VulkanHardwareBufferCommon()

Ogre::v1::VulkanHardwareBufferCommon::VulkanHardwareBufferCommon | ( | size_t | sizeBytes,
|  | HardwareBuffer::Usage | usage,
|  | uint16 | alignment,
|  | VulkanDiscardBufferManager * | discardBufferManager,
|  | VulkanDevice * | device )

Referenced by copyData().

## ◆ ~VulkanHardwareBufferCommon()

virtual Ogre::v1::VulkanHardwareBufferCommon::~VulkanHardwareBufferCommon | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ _notifyDeviceStalled()

void Ogre::v1::VulkanHardwareBufferCommon::_notifyDeviceStalled | ( |  | ) |

## ◆ copyData()

void Ogre::v1::VulkanHardwareBufferCommon::copyData | ( | VulkanHardwareBufferCommon * | srcBuffer,
|  | size_t | srcOffset,
|  | size_t | dstOffset,
|  | size_t | length,
|  | bool | discardWholeBuffer = false )

See also
  HardwareBuffer.

References VulkanHardwareBufferCommon().

## ◆ getBufferName()

VkBuffer Ogre::v1::VulkanHardwareBufferCommon::getBufferName | ( | size_t & | outOffset | ) |

Returns the actual API buffer, but first sets mLastFrameUsed as we assume you're calling this function to use the buffer in the GPU.

Parameters

  outOffset | Out. Guaranteed to be written. Used by HBU_DISCARDABLE buffers which need an offset to the internal ring buffer we've allocated.

Returns
  The MTLBuffer in question.

## ◆ getBufferNameForGpuWrite()

VkBuffer Ogre::v1::VulkanHardwareBufferCommon::getBufferNameForGpuWrite | ( | size_t & | outOffset | ) |

## ◆ getSizeBytes()

size_t Ogre::v1::VulkanHardwareBufferCommon::getSizeBytes | ( |  | ) | const
| inline

## ◆ lockImpl()

void * Ogre::v1::VulkanHardwareBufferCommon::lockImpl | ( | size_t | offset,
|  | size_t | length,
|  | HardwareBuffer::LockOptions | options,
|  | bool | isLocked )

See also
  HardwareBuffer.

## ◆ readData()

void Ogre::v1::VulkanHardwareBufferCommon::readData | ( | size_t | offset,
|  | size_t | length,
|  | void * | pDest )

See also
  HardwareBuffer.

## ◆ unlockImpl()

void Ogre::v1::VulkanHardwareBufferCommon::unlockImpl | ( | size_t | lockStart,
|  | size_t | lockSize )

See also
  HardwareBuffer.

## ◆ writeData()

void Ogre::v1::VulkanHardwareBufferCommon::writeData | ( | size_t | offset,
|  | size_t | length,
|  | const void * | pSource,
|  | bool | discardWholeBuffer = false )

See also
  HardwareBuffer.

The documentation for this class was generated from the following file:

- OgreVulkanHardwareBufferCommon.h